Record a manual renewal
Advances last_payment_on/next_payment_on and sets state back to active. Decrements remaining_payments if the subscription has a fixed number of payments left.
PUT
/subscription_purchases/{id}/renewAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredRequest body
application/jsonpayment_datestring<date>Defaults to today if omitted
Responses
200
Subscription purchase renewed
_linksHalLinksidintegershop_idintegercontact_idintegeroriginal_order_idintegerproduct_idintegerproduct_namestringstatestringcurrency_codestringtotal_renewal_feeintegerIn cents
payment_intervalstringtotal_paymentsintegerremaining_paymentsintegerfailed_attemptsintegerlast_payment_onstring<date>next_payment_onstring<date>start_datestring<date>end_datestring<date> | nullcancel_atstring<date> | nullsubscription_fee_idintegerrenewal_discountnumberdiscount_num_chargesintegerpayments_to_skipintegerpaused_bystringpaid_setup_feebooleanunitsintegercreated_onstring<date-time>updated_onstring<date-time>422
Invalid payment_date, or validation error